Chris
Cheney
ccheney@debian.org
7 de marzo de 2003
dcop
1

# `dcop`

Cliente de consola para &DCOP;.

    dcop --pipe --user  usuario --all-users --session  sesión --all-sessions --list-sessions --no-user-time  aplicación  objeto  función argumentos

## Descripción

Cliente de consola para &DCOP;.

## Opciones

`--pipe`

  Llama a &DCOP; para cada línea leída de la entrada estándar.

  Esto es prácticamente equivalente a escribir `while read line ; do dcop $line ; done` pero como no se inicia una nueva instancia `dcop` para cada línea es generalmente mucho más rápido, especialmente para los enlazadores dinámicos GNU lentos.

`--user` usuario

  Conecta a un usuario al servidor &DCOP;. Esta opción ignorará los valores de las variables de entorno $`DCOPSERVER` y $`ICEAUTHORITY`, tengan o no valor asignado.

  Si el usuario tiene más de una sesión abierta, también podrá utilizar las opciones de la línea de órdenes `--list-sessions`, `--session` o `--all-sessions`.

`--all-users`

  Envía la misma llamada &DCOP; a todos los usuarios que estén con un servidor &DCOP; en ejecución. Sólamente generarán un mensaje de error las llamadas fallidas a los servidores &DCOP; existentes. Sino existe servidor &DCOP; disponible, no se generará mensaje de error.

`--session` sesión

  Envía a la sesión &kde; dada. Esta opción sólo se puede utilizar en combinación con la opción `--user`.

`--all-sessions`

  Envía a todas las sesiones encontradas. Sólo funciona con las opciones `--user` y `--all-users`.

`--list-sessions`

  Lista todas las sesiones de &kde; activas para un usuario o para todos los usuarios.

`--no-user-time`

  No actualiza la actividad del usuario cada cierto tiempo en la aplicación llamada (para su utilización en scripts que se ejecuten en segundo plano).

## Entorno

`DCOPSERVER`

`ICEAUTHORITY`

## Véa también

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

En &kde; puede introducir `help:/kdcop` en &konqueror; para ver el manual de usuario para la herramienta gráfica de dcop, kdcop.